<template>
  <div :class="['image-section', { reversed: data.position % 2 === 0 }]">
    <div class="info text--primary">
      <img
        class="mobile-image"
        :src="require(`~/assets/images${data.imgDesktop}`)"
        alt="album image"
      />
      <h2 class="heading--lg heading--primary">
        {{ data.title }}
      </h2>
      <p class="content" v-html="data.text"></p>
    </div>
    <div
      class="img"
      :style="`background-image:url('${require(`~/assets/images${data.imgDesktop}`)}')`"
    />
  </div>
</template>

<script>
export default {
  components: {},
  props: {
    data: {
      type: Object,
      required: true
    }
  }
}
</script>

<style lang="scss" scoped>
.image-section {
  display: flex;
  max-width: 1220px;
  margin: auto;

  @media (max-width: 768px) {
    margin-bottom: initial;
  }

  &.reversed {
    flex-direction: row-reverse;
  }

  @media (max-width: 768px) {
    position: relative;
    flex-direction: column-reverse;
  }

  .info {
    flex: 1;
    padding: 2rem 70px;
    display: flex;
    flex-direction: column;
    justify-content: center;

    .mobile-image {
      display: none;
    }

    @media (max-width: 768px) {
      padding: initial;

      h2 {
        margin: 10px 15px;
        line-height: normal;
      }

      .mobile-image {
        display: block;
        margin: 20px 0;
        max-height: 320px;
      }
    }

    .title {
      margin-top: 1.5rem;
      margin-bottom: 1rem;
    }

    .content {
      margin-bottom: 1rem;

      @media (max-width: 768px) {
        margin: 0px 15px 30px;
      }
    }
  }
  .img {
    flex: 1;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    min-height: 570px;

    @media (max-width: 768px) {
      display: none;
      position: relative;
      min-height: 320px;
      margins: 20px 0;

      .mobile-title {
        position: absolute;
        display: block;
        left: 0;
        bottom: 0;
        width: 100%;
        background-color: rgba(39, 38, 38, 0.5);
        color: #fff;
        text-align: center;
        font-size: 32px;
        font-weight: bold;
        font-family: DINCond-Bold;
        padding: 1rem;
      }
    }
  }
}
</style>
